/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cathlabclinicalreporttemplate;

import cdac.medinfo.sdk.dcm30_04.baselibs.ContentSequenceItem;
import cdac.medinfo.sdk.dcm30_04.enums.EnumContinuityOfContent;
import cdac.medinfo.sdk.dcm30_04.srtree.SRTree;
import cdac.medinfo.sdk.dcm30_04.templates.cid.AcuteCoronarySyndromeTimePeriod_CID3735;
import cdac.medinfo.sdk.dcm30_04.templates.cid.AdmissionStatus_CID3729;
import cdac.medinfo.sdk.dcm30_04.templates.cid.CanadianClinicalClassification_CID3719;
import cdac.medinfo.sdk.dcm30_04.templates.cid.CathDiagnosis_CID3700;
import cdac.medinfo.sdk.dcm30_04.templates.cid.EFTestingMethod_CID3744;
import cdac.medinfo.sdk.dcm30_04.templates.cid.IndicationsForCatheterization_CID3727;
import cdac.medinfo.sdk.dcm30_04.templates.cid.InsurancePayor_CID3730;
import cdac.medinfo.sdk.dcm30_04.templates.cid.NYHAClassification_CID3736;
import cdac.medinfo.sdk.dcm30_04.templates.cid.NonInvasiveTestIschemia_CID3737;
import cdac.medinfo.sdk.dcm30_04.templates.cid.PreCathAnginaType_CID3738;
import cdac.medinfo.sdk.dcm30_04.templates.cid.YesNo_CID230;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_AcuteCoronarySyndromeTimePeriod;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_AdmissionStatus;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_CanadianClinicalClassification;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_CathDiagnosis;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_EFTestingMethod;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_IndicationsForCatheterization;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_InsurancePayor;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_NYHAClassification;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_NonInvasiveTestIschemia;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_PatientPresentationCath;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_PreCathAnginaType;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_Unit;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_YesNo;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_PatientPresentationCath;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_Unit;
import cdac.medinfo.sdk.dcm30_04.templates.generaltemplates.Quotation_TID1000;
import cdac.medinfo.sdk.dcm30_04.templates.generaltemplates.Template;

/**
 * This class represents PatientPresentationCath - TID3803
 */
public class PatientPresentationCath_TID3803 extends Template
{
	/**
	 * Object of CathDiagnosis_CID3700
	 */
	private CathDiagnosis_CID3700 objCathDiagnosisCID3700;

	/**
	 * Object of  Quotation_TID1000
	 */

	private Quotation_TID1000 objQuotationTID1000;

	/**
	 * Object of YesNo_CID230
	 */
	private YesNo_CID230 objYesNoCID230;

	/**
	 * Object of EFTestingMethod_CID3744
	 */
	private EFTestingMethod_CID3744 objEfTestingMethodCID3744;

	/**
	 * Object of IndicationsForCatheterization_CID3727
	 */
	private IndicationsForCatheterization_CID3727 objIndicationsForCatheterizationCID3727;

	/**
	 * Object of AcuteCoronarySyndromeTimePeriod_CID3735
	 */
	private AcuteCoronarySyndromeTimePeriod_CID3735 objAcuteCoronarySyndromeTimePeriodCID3735;

	/**
	 * Object of CanadianClinicalClassification_CID3719
	 */
	private CanadianClinicalClassification_CID3719 objCanadianClinicalClassificationCID3719;

	/**
	 * Object of PreCathAnginaType_CID3738
	 */
	private PreCathAnginaType_CID3738 objPreCathAnginaTypeCID3738;

	/**
	 * Object of NonInvasiveTestIschemia_CID3737
	 */
	private NonInvasiveTestIschemia_CID3737 objNonInvasiveTestIschemiaCID3737;

	/**
	 * Object of NYHAClassification_CID3736
	 */
	private NYHAClassification_CID3736 objNyhaClassificationCID3736;

	/**
	 * Object of AdmissionStatus_CID3729
	 */
	private AdmissionStatus_CID3729 objAdmissionStatusCID3729;

	/**
	 * Object of InsurancePayor_CID3730
	 */
	private InsurancePayor_CID3730 objInsurancePayorCID3730;

	/**
	 * Instantiates PatientPresentationCath_TID3803 Template.
	 * @param objTree Object of SRTree.
	 */
	public PatientPresentationCath_TID3803(SRTree objTree)
	{
		super(objTree);
	}

	/**
	 * Retrieves Quotation 
	 * @return objQuotationTID1000 Object of Quotation_TID1000 
	 */
	public Quotation_TID1000 getObserverContext() 
	{
		if(null == this.objQuotationTID1000)
			this.objQuotationTID1000 = new Quotation_TID1000(getSRTree());
		return this.objQuotationTID1000;
	}

	/**
	 * Sets the value for Patient Presentation
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumContinuityOfContent Enumerated Value for ContinuityOfContent.
	 */
	public void setPatientPresentation(int[] arrPosition, EnumContinuityOfContent enumContinuityOfContent)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.PATIENT_PRESENTATION.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.PATIENT_PRESENTATION_12111.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 * Creating a node of Value Type UIDREF and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createContainer(arrPosition, strCodeMeaning, strCodeValue, strCSD, enumContinuityOfContent);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Patient Transferred From
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param strPatientTransferredFrom String value for PatientTransferredFrom.
	 */
	public void setPatientTransferredFrom(int[] arrPosition, String strPatientTransferredFrom)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.PATIENT_TRANSFERRED_FROM.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.PATIENT_TRANSFERRED_FROM_122128.getValue();
		String strCSD = EnumCodingSchemeDesignator.SRT.getValue();

		/**
		 * Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strPatientTransferredFrom);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Admission Date/Time.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param strAdmissionDateTime String value for DateTime of Intervention
	 */
	public void setAdmissionDateTime(int[] arrPosition, String strAdmissionDateTime)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.ADMISSION_DATE_TIME.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.ADMISSION_DATE_TIME_15.getValue();
		String strCSD = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type DATETIME and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createDateTimeNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strAdmissionDateTime);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets value for Admission Status.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumAdmissionStatus Enumerated value for AdmissionStatus
	 */
	public void setAdmissionStatus(int[] arrPosition, EnumCM_AdmissionStatus enumAdmissionStatus)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.ADMISSION_STATUS.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.ADMISSION_STATUS_17.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Setting value for ComplicationOfProcedure
		 */
		if(null== this.objAdmissionStatusCID3729)
			this.objAdmissionStatusCID3729 = new AdmissionStatus_CID3729();
		this.objAdmissionStatusCID3729.setAdmissionStatus(enumAdmissionStatus);

		String strCM = objAdmissionStatusCID3729.getCodeMeaning();
		String strCV = objAdmissionStatusCID3729.getCodeValue();
		String strCSD = objAdmissionStatusCID3729.getCodingSchemeDesignator();
		String strCSV = objAdmissionStatusCID3729.getCodingSchemeVersion();
		String strSNOMEDCTID = objAdmissionStatusCID3729.getSNOMEDCTID();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSDesg, strCV, strCSD, strCSV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets value for Insurance Payor Type.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumInsurancePayor Enumerated value for InsurancePayor
	 */
	public void setInsurancePayorType(int[] arrPosition, EnumCM_InsurancePayor enumInsurancePayor)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.ADMISSION_STATUS.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.ADMISSION_STATUS_17.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Setting value for ComplicationOfProcedure
		 */
		if(null== this.objInsurancePayorCID3730)
			this.objInsurancePayorCID3730 = new InsurancePayor_CID3730();
		this.objInsurancePayorCID3730.setInsurancePayor(enumInsurancePayor);

		String strCM = objInsurancePayorCID3730.getCodeMeaning();
		String strCV = objInsurancePayorCID3730.getCodeValue();
		String strCSD = objInsurancePayorCID3730.getCodingSchemeDesignator();
		String strCSV = objInsurancePayorCID3730.getCodingSchemeVersion();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSDesg, strCV, strCSD, strCSV, strCM);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Congestive Heart Failure Prior to Procedure.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumYesNo Enum value for Yes-No.
	 */
	public void setCongestiveHeartFailurePriorToProcedure(int[] arrPosition, EnumCM_YesNo enumYesNo)
	{
		/**
		 * Sets the value for Primary Intervention Device.
		 */
		if(null== this.objYesNoCID230)
			this.objYesNoCID230 = new YesNo_CID230();
		this.objYesNoCID230.setYesNo(enumYesNo);

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCM = this.objYesNoCID230.getCodeMeaning();
		String strCV = this.objYesNoCID230.getCodeValue();
		String strCSD1 = this.objYesNoCID230.getCodingSchemeDesignator();
		String strSNOMEDCTID = objYesNoCID230.getSNOMEDCTID();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.CONGESTIVE_HEART_FAILURE_PRIOR_TO_PROCEDURE.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.CONGESTIVE_HEART_FAILURE_PRIOR_TO_PROCEDURE_46.getValue();
		String strCSD2 = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning,strCodeValue , strCSD2, strCV, strCSD1, "", strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for NYHA Classification.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumNYHAClassification Enum value for NYHAClassification
	 */
	public void setNYHAClassification(int[] arrPosition, EnumCM_NYHAClassification enumNYHAClassification)
	{
		/**
		 * Sets the value for Primary Intervention Device.
		 */
		if(null== this.objNyhaClassificationCID3736)
			this.objNyhaClassificationCID3736 = new NYHAClassification_CID3736();
		this.objNyhaClassificationCID3736.setNYHAClassification(enumNYHAClassification);

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCM = this.objNyhaClassificationCID3736.getCodeMeaning();
		String strCV = this.objNyhaClassificationCID3736.getCodeValue();
		String strCSD1 = this.objNyhaClassificationCID3736.getCodingSchemeDesignator();
		String strCSV = this.objNyhaClassificationCID3736.getCodingSchemeVersion();
		String strSNOMEDCTID = objNyhaClassificationCID3736.getSNOMEDCTID();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.NYHA_CLASSIFICATION.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.NYHA_CLASSIFICATION_47.getValue();
		String strCSD2 = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning,strCodeValue , strCSD2, strCV, strCSD1, strCSV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Noninvasive Testing -Ischemia.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumNonInvasiveTestIschemia Enum value for NonInvasiveTestIschemia
	 */
	public void setNoninvasiveTestingIschemia(int[] arrPosition, EnumCM_NonInvasiveTestIschemia enumNonInvasiveTestIschemia)
	{
		/**
		 * Sets the value for Primary Intervention Device.
		 */
		if(null== this.objNonInvasiveTestIschemiaCID3737)
			this.objNonInvasiveTestIschemiaCID3737 = new NonInvasiveTestIschemia_CID3737();
		this.objNonInvasiveTestIschemiaCID3737.setNonInvasiveTestIschemia(enumNonInvasiveTestIschemia);

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCM = this.objNonInvasiveTestIschemiaCID3737.getCodeMeaning();
		String strCV = this.objNonInvasiveTestIschemiaCID3737.getCodeValue();
		String strCSD1 = this.objNonInvasiveTestIschemiaCID3737.getCodingSchemeDesignator();
		String strCSV = this.objNonInvasiveTestIschemiaCID3737.getCodingSchemeVersion();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.NONINVASIVE_TESTING_ISCHEMIA.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.NONINVASIVE_TESTING_ISCHEMIA_48.getValue();
		String strCSD2 = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning,strCodeValue , strCSD2, strCV, strCSD1, strCSV, strCM);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Pre-Cath Angina Type.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumPreCathAnginaType Enum value for PreCathAnginaType
	 */
	public void setPreCathAnginaType(int[] arrPosition, EnumCM_PreCathAnginaType enumPreCathAnginaType)
	{
		/**
		 * Sets the value for Primary Intervention Device.
		 */
		if(null== this.objPreCathAnginaTypeCID3738)
			this.objPreCathAnginaTypeCID3738 = new PreCathAnginaType_CID3738();
		this.objPreCathAnginaTypeCID3738.setPreCathAnginaType(enumPreCathAnginaType);

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCM = this.objPreCathAnginaTypeCID3738.getCodeMeaning();
		String strCV = this.objPreCathAnginaTypeCID3738.getCodeValue();
		String strCSD1 = this.objPreCathAnginaTypeCID3738.getCodingSchemeDesignator();
		String strCSV = this.objPreCathAnginaTypeCID3738.getCodingSchemeVersion();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.PRE_CATH_ANGINA_TYPE.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.PRE_CATH_ANGINA_TYPE_49.getValue();
		String strCSD2 = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning,strCodeValue , strCSD2, strCV, strCSD1, strCSV, strCM);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Pre-Cath Canadian Classification.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumCanadianClinicalClassification Enum value for CanadianClinicalClassification
	 */
	public void setPreCathCanadianClassification(int[] arrPosition, EnumCM_CanadianClinicalClassification enumCanadianClinicalClassification)
	{
		/**
		 * Sets the value for Primary Intervention Device.
		 */
		if(null== this.objCanadianClinicalClassificationCID3719)
			this.objCanadianClinicalClassificationCID3719 = new CanadianClinicalClassification_CID3719();
		this.objCanadianClinicalClassificationCID3719.setCanadianClinicalClassification(enumCanadianClinicalClassification);

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCM = this.objCanadianClinicalClassificationCID3719.getCodeMeaning();
		String strCV = this.objCanadianClinicalClassificationCID3719.getCodeValue();
		String strCSD1 = this.objCanadianClinicalClassificationCID3719.getCodingSchemeDesignator();
		String strCSV = this.objCanadianClinicalClassificationCID3719.getCodingSchemeVersion();
		String strSNOMEDCTID = objCanadianClinicalClassificationCID3719.getSNOMEDCTID();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.PRE_CATH_CANADIAN_CLASSIFICATION.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.PRE_CATH_CANADIAN_CLASSIFICATION_50.getValue();
		String strCSD2 = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning,strCodeValue , strCSD2, strCV, strCSD1, strCSV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Acute Coronary Syndrome Time Period.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumAcuteCoronarySyndromeTimePeriod Enum value for AcuteCoronarySyndromeTimePeriod
	 */
	public void setAcuteCoronarySyndromeTimePeriod(int[] arrPosition, EnumCM_AcuteCoronarySyndromeTimePeriod enumAcuteCoronarySyndromeTimePeriod)
	{
		/**
		 * Sets the value for Primary Intervention Device.
		 */
		if(null== this.objAcuteCoronarySyndromeTimePeriodCID3735)
			this.objAcuteCoronarySyndromeTimePeriodCID3735 = new AcuteCoronarySyndromeTimePeriod_CID3735();
		this.objAcuteCoronarySyndromeTimePeriodCID3735.setAcuteCoronarySyndromeTimePeriod(enumAcuteCoronarySyndromeTimePeriod);

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCM = this.objAcuteCoronarySyndromeTimePeriodCID3735.getCodeMeaning();
		String strCV = this.objAcuteCoronarySyndromeTimePeriodCID3735.getCodeValue();
		String strCSD1 = this.objAcuteCoronarySyndromeTimePeriodCID3735.getCodingSchemeDesignator();
		String strCSV = this.objAcuteCoronarySyndromeTimePeriodCID3735.getCodingSchemeVersion();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.ACUTE_CORONARY_SYNDROME_TIME_PERIOD.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.ACUTE_CORONARY_SYNDROME_TIME_PERIOD_51.getValue();
		String strCSD2 = EnumCodingSchemeDesignator.NCDR.getValue();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning,strCodeValue , strCSD2, strCV, strCSD1, strCSV, strCM);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Indications for Procedure
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumContinuityOfContent Enumerated Value for ContinuityOfContent.
	 */
	public void setIndicationsForProcedure(int[] arrPosition, EnumContinuityOfContent enumContinuityOfContent)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.INDICATIONS_FOR_PROCEDURE.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.INDICATIONS_FOR_PROCEDURE_18785_6.getValue();
		String strCSD = EnumCodingSchemeDesignator.LN.getValue();

		/**
		 * Creating a node of Value Type UIDREF and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createContainer(arrPosition, strCodeMeaning, strCodeValue, strCSD, enumContinuityOfContent);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets value for Finding.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumIndicationsForCatheterization Enumerated value for IndicationsForCatheterization
	 */
	public void setFinding(int[] arrPosition, EnumCM_IndicationsForCatheterization enumIndicationsForCatheterization)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.FINDING.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.FINDING_121071.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 * Setting value for Finding
		 */
		if(null== this.objIndicationsForCatheterizationCID3727)
			this.objIndicationsForCatheterizationCID3727 = new IndicationsForCatheterization_CID3727();
		this.objIndicationsForCatheterizationCID3727.setIndicationsForCatheterization(enumIndicationsForCatheterization);

		String strCM = objIndicationsForCatheterizationCID3727.getCodeMeaning();
		String strCV = objIndicationsForCatheterizationCID3727.getCodeValue();
		String strCSD = objIndicationsForCatheterizationCID3727.getCodingSchemeDesignator();
		String strCSV = objIndicationsForCatheterizationCID3727.getCodingSchemeVersion();
		String strSNOMEDCTID = objIndicationsForCatheterizationCID3727.getSNOMEDCTID();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSDesg, strCV, strCSD, strCSV, strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for LV Ejection Fraction.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param arrNumericValue String array for LV Ejection Fraction
	 */
	public void setLVEjectionFraction(int[] arrPosition,String[] arrNumericValue)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCMForUnit = EnumCM_Unit.PERCENTAGE.getValue();
		String strCVForUnit = EnumCV_Unit.PERCENTAGE.getValue();
		String strCSDForUnit = EnumCodingSchemeDesignator.UCUM.getValue();

		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.LV_EJECTION_FRACTION.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.LV_EJECTION_FRACTION_10230_1.getValue();
		String strCSD = EnumCodingSchemeDesignator.LN.getValue();

		ContentSequenceItem objContentSequenceItem = getSRTree().createNumNode(arrPosition,strCodeMeaning,strCodeValue,strCSD,arrNumericValue,strCVForUnit,strCSDForUnit,"",strCMForUnit,"","","","");
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets value for Measurement method.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumEFTestingMethod Enumerated value for EFTestingMethod
	 */
	public void setMeasurementMethod(int[] arrPosition, EnumCM_EFTestingMethod enumEFTestingMethod)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.MEASUREMENT_METHOD.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.MEASUREMENT_METHOD_G_C036.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.SRT.getValue();

		/**
		 * Setting value for Finding
		 */
		if(null== this.objEfTestingMethodCID3744)
			this.objEfTestingMethodCID3744 = new EFTestingMethod_CID3744();
		this.objEfTestingMethodCID3744.setEFTestingMethod(enumEFTestingMethod);

		String strCM = objEfTestingMethodCID3744.getCodeMeaning();
		String strCV = objEfTestingMethodCID3744.getCodeValue();
		String strCSD = objEfTestingMethodCID3744.getCodingSchemeDesignator();
		String strSNOMEDCTID = objEfTestingMethodCID3744.getSNOMEDCTID();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSDesg, strCV, strCSD, "", strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets value for Previous Finding.
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param enumCathDiagnosis Enumerated value for CathDiagnosis
	 */
	public void setPreviousFinding(int[] arrPosition, EnumCM_CathDiagnosis enumCathDiagnosis)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.PREVIOUS_FINDING.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.PREVIOUS_FINDING_121069.getValue();
		String strCSDesg = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 * Setting value for Finding
		 */
		if(null== this.objCathDiagnosisCID3700)
			this.objCathDiagnosisCID3700 = new CathDiagnosis_CID3700();
		this.objCathDiagnosisCID3700.setCathDiagnosis(enumCathDiagnosis);

		String strCM = objCathDiagnosisCID3700.getCodeMeaning();
		String strCV = objCathDiagnosisCID3700.getCodeValue();
		String strCSD = objCathDiagnosisCID3700.getCodingSchemeDesignator();
		String strSNOMEDCTID = objCathDiagnosisCID3700.getSNOMEDCTID();

		/**
		 * Creating a node of Value Type CODE and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createCodeNode(arrPosition, strCodeMeaning, strCodeValue, strCSDesg, strCV, strCSD, "", strCM,strSNOMEDCTID);
		getSRTree().addChild(objContentSequenceItem);
	}

	/**
	 * Sets the value for Patient Presentation
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param strPatientPresentation String value for PatientPresentation.
	 */
	public void setPatientPresentation(int[] arrPosition, String strPatientPresentation)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_PatientPresentationCath.PATIENT_PRESENTATION.getValue();
		String strCodeValue = EnumCV_PatientPresentationCath.PATIENT_PRESENTATION_12111.getValue();
		String strCSD = EnumCodingSchemeDesignator.DCM.getValue();

		/**
		 * Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strPatientPresentation);
		getSRTree().addChild(objContentSequenceItem);
	}

}
